// Kyle VanDaele
// ball.h

#ifndef _BALL_H
#define _BALL_H
#define WIN32_LEAN_AND_MEAN

#include "entity.h"
#include "constants.h"

namespace ballNS
{
	const int WIDTH = 34;		// image width
	const int HEIGHT = 34;		// image height
	const int COLLISION_RADIUS = 32/2;	// for circular collision
	const int X = GAME_WIDTH/4;	// location on screen
	const int Y = GAME_HEIGHT/4;
	const float SPEED = 150.0f;	// 150 pixels per second
	const float MASS = 100.0f;	// mass
	const int TEXTURE_COLS = 2;	// texture has 2 columns
	const int START_FRAME = 0;	// starts at frame 0
	const int END_FRAME = 0;	// animation frames 0,1,2,3
	const float ANIMATION_DELAY = 0.1f;	// time between frames
}

// inherits from Entity class
class Ball : public Entity
{
private:
	char BallColor;
	int xlocation, ylocation;
public:
	// constructor
	Ball();

	void update(float frameTime);
	void SetLocation(int xloc, int yloc);
	void ResetLoc();
	void setBallColor(char color);
	char getBallColor()	{return BallColor;}
};

#endif