// Kyle VanDaele
// block.cpp

#include "block.h"

//default constructor
Block::Block() : Entity()
{
	spriteData.width = blockNS::WIDTH;
	spriteData.height = blockNS::HEIGHT;
	spriteData.x = blockNS::X;		// location on screen
	spriteData.y = blockNS::Y;
	spriteData.rect.bottom = blockNS::HEIGHT;
	spriteData.rect.right = blockNS::WIDTH;
	startFrame = blockNS::START_FRAME;	// first frame of animation
	endFrame = blockNS::END_FRAME;		// last frame of animation
	setCurrentFrame(startFrame);
	edge.top = -blockNS::HEIGHT/2;
	edge.bottom = blockNS::HEIGHT/2;
	edge.left = -blockNS::WIDTH/2;
	edge.right = blockNS::WIDTH/2;
	collisionType = entityNS::ROTATED_BOX;
	mass = blockNS::MASS;
}

void Block::setXY(int xloc, int yloc)
{
	setVisible(true);
	setActive(true);
	spriteData.x = blockNS::WIDTH * xloc;
	spriteData.y = blockNS::HEIGHT * yloc;
}