// Kyle VanDaele
// getmoney.h

#ifndef _GETMONEY_H             // Prevent multiple definitions if this 
#define _GETMONEY_H             // file is included in more than one place
#define WIN32_LEAN_AND_MEAN

#include "game.h"
#include "textureManager.h"
#include "image.h"
#include "block.h"
#include "ball.h"

//=============================================================================
// This class is the core of the game
//=============================================================================
class GetMoney : public Game
{
private:
    // game items
    TextureManager bgTexture;   // background texture
    TextureManager ballTexture;   // ball texture
	TextureManager blockTexture; // block texture
	TextureManager menuTexture;	// menu texture
	TextureManager levelmenuTexture;	// level menu texture
	TextureManager gamecompleteTexture;	// game complete texture
	TextureManager gameoverTexture;		// game over texture
    Ball	ball;				// ball
	//Ball	lives[5];			// ball picture used for lives counter
	Block	Rblock[5][20];			// red blocks
	Block	Gblock[5][20];			// green blocks
	Block	Bblock[5][20];			// blue blocks
	Block	Bpaintblock[5], Gpaintblock[5], Rpaintblock[5];	// paint blocks
	Block	moneyblock[5][20];			// money block
	Block	deathblock[5][20];		// death block
	Block	wallblock[5][20];		// walls!
    Image   bg;             // background image
	Image	menu;			// menu image
	Image	levelmenu;		// level transition image
	Image	gamecomplete;	// game complete image
	Image	gameover;		// game over image
	Image	lives[5];			// ball image life counter
	TextDX	*dxFontScore, *dxFontScoreTitle;
	TextDX	*dxFontTimer, *dxFontTimerTitle;
	bool	menuOn;
	bool	levelMenuOn;
	bool	gameCompleteOn;
	bool	gameOverOn;
	int		blockcount, moneyblockcount, level, lm;
	int		livescounter;
	float	scorecounter, timercounter;
	char	scorebuffer[SCORE_BUF_SIZE];
	char	timerbuffer[TIMER_BUF_SIZE];

public:
    // Constructor
    GetMoney();

    // Destructor
    virtual ~GetMoney();

    // Initialize the game
    void initialize(HWND hwnd);
    void update();      // must override pure virtual from Game
    void ai();          // "
    void collisions();  // "
    void render();      // "
    void releaseAll();
    void resetAll();
	void setLevel(int level);
};

#endif
